Skip to content
Amplify APIReference

Retrieve all available IAB categories

GET/iabcategories/all
OB-TOKEN-V1<token>

Token obtained from the Obtain a token endpoint or the Amplify API token page. Valid for 30 days.

In: header

Response Body

application/json

curl -X GET "https://example.com/iabcategories/all"
{  "categories": [    {      "categoryId": "IAB1",      "categoryName": "Arts & Entertainment",      "children": [        {          "categoryId": "IAB1-1",          "categoryName": "Books & Literature",          "parentId": "IAB1",          "pageViews": 55115277,          "children": []        },        {          "categoryId": "IAB1-2",          "categoryName": "Celebrity Fan/Gossip",          "parentId": "IAB1",          "pageViews": 399550717,          "children": []        },        {          "categoryId": "IAB1-3",          "categoryName": "Fine Art",          "parentId": "IAB1",          "pageViews": 48977486,          "children": []        }      ]    },    {      "categoryId": "IAB10",      "categoryName": "Home & Garden",      "children": [        {          "categoryId": "IAB10-1",          "categoryName": "Appliances",          "parentId": "IAB10",          "pageViews": 17408283,          "children": []        }      ]    }  ]}